﻿namespace TestProject
{
    /// <summary>
    /// WAVE 데이터
    /// </summary>
    public class WAVEDATA
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 청크 ID
        /// </summary>
        /// <remarks>
        /// 4바이트 : 빅 엔디안
        /// 'data' 문자를 저장한다.
        /// </remarks>
        public string ChunkID;

        /// <summary>
        /// 청크 크기
        /// </summary>
        /// <remarks>
        /// 4바이트 : 리틀 엔디안
        /// </remarks>
        public uint ChunkSize;

        /// <summary>
        /// 값 배열
        /// </summary>
        public short[] ValueArray;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - WAVEDATA()

        /// <summary>
        /// 생성자
        /// </summary>
        public WAVEDATA()
        {
            ChunkID    = "data";
            ChunkSize  = 0;
            ValueArray = new short[0];
        }

        #endregion
    }
}